osg::TessellationHints Class Reference

`#include <Shape>`

Inheritance diagram for osg::TessellationHints:

## Public Types

enum | TessellationMode { USE_SHAPE_DEFAULTS , USE_TARGET_NUM_FACES }
Public Types inherited from osg::Object
enum | DataVariance { DYNAMIC , STATIC , UNSPECIFIED }

## Public Member Functions

| TessellationHints ()
| TessellationHints (const TessellationHints &tess, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
| META_Object (osg, TessellationHints)
void | setTessellationMode (TessellationMode mode)
TessellationMode | getTessellationMode () const
void | setDetailRatio (float ratio)
float | getDetailRatio () const
void | setTargetNumFaces (unsigned int target)
unsigned int | getTargetNumFaces () const
void | setCreateFrontFace (bool on)
bool | getCreateFrontFace () const
void | setCreateBackFace (bool on)
bool | getCreateBackFace () const
void | setCreateNormals (bool on)
bool | getCreateNormals () const
void | setCreateTextureCoords (bool on)
bool | getCreateTextureCoords () const
void | setCreateTop (bool on)
bool | getCreateTop () const
void | setCreateBody (bool on)
bool | getCreateBody () const
void | setCreateBottom (bool on)
bool | getCreateBottom () const
Public Member Functions inherited from osg::Object
| Object ()
| Object (bool threadSafeRefUnref)
| Object (const Object &, const CopyOp &copyop=CopyOp::SHALLOW_COPY)
virtual Object * | cloneType () const =0
virtual Object * | clone (const CopyOp &) const =0
virtual bool | isSameKindAs (const Object *) const
virtual const char * | libraryName () const =0
virtual const char * | className () const =0
std::string | getCompoundClassName () const
virtual Node * | asNode ()
virtual const Node * | asNode () const
virtual NodeVisitor * | asNodeVisitor ()
virtual const NodeVisitor * | asNodeVisitor () const
virtual StateSet * | asStateSet ()
virtual const StateSet * | asStateSet () const
virtual StateAttribute * | asStateAttribute ()
virtual const StateAttribute * | asStateAttribute () const
virtual Uniform * | asUniform ()
virtual const Uniform * | asUniform () const
virtual Camera * | asCamera ()
virtual const Camera * | asCamera () const
virtual Drawable * | asDrawable ()
virtual const Drawable * | asDrawable () const
virtual Callback * | asCallback ()
virtual const Callback * | asCallback () const
virtual CallbackObject * | asCallbackObject ()
virtual const CallbackObject * | asCallbackObject () const
virtual UserDataContainer * | asUserDataContainer ()
virtual const UserDataContainer * | asUserDataContainer () const
virtual ValueObject * | asValueObject ()
virtual const ValueObject * | asValueObject () const
virtual Image * | asImage ()
virtual const Image * | asImage () const
virtual void | setThreadSafeRefUnref (bool threadSafe)
virtual void | setName (const std::string &name)
void | setName (const char *name)
const std::string & | getName () const
void | setDataVariance (DataVariance dv)
DataVariance | getDataVariance () const
virtual void | computeDataVariance ()
void | setUserDataContainer (osg::UserDataContainer *udc)
template<class T>
void | setUserDataContainer (const ref_ptr< T > &udc)
osg::UserDataContainer * | getUserDataContainer ()
const osg::UserDataContainer * | getUserDataContainer () const
osg::UserDataContainer * | getOrCreateUserDataContainer ()
virtual void | setUserData (Referenced *obj)
template<class T>
void | setUserData (const ref_ptr< T > &ud)
virtual Referenced * | getUserData ()
virtual const Referenced * | getUserData () const
template<typename T>
bool | getUserValue (const std::string &name, T &value) const
template<typename T>
void | setUserValue (const std::string &name, const T &value)
virtual void | resizeGLObjectBuffers (unsigned int)
virtual void | releaseGLObjects (osg::State *=0) const
template<typename T>
BoolValueObject UCharValueObject UShortValueObject UIntValueObject DoubleValueObject Vec3fValueObject Vec2dValueObject Vec4dValueObject PlaneValueObject MatrixdValueObject BoundingBoxdValueObject BoundingSpheredValueObject bool | getUserValue (const std::string &name, T &value) const
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Protected Member Functions

| ~TessellationHints ()
Protected Member Functions inherited from osg::Object
virtual | ~Object ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const

## Protected Attributes

TessellationMode | _TessellationMode
float | _detailRatio
unsigned int | _targetNumFaces
bool | _createFrontFace
bool | _createBackFace
bool | _createNormals
bool | _createTextureCoords
bool | _createTop
bool | _createBody
bool | _createBottom
Protected Attributes inherited from osg::Object
std::string | _name
DataVariance | _dataVariance
osg::UserDataContainer * | _userDataContainer
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()

## Detailed Description

Describe several hints that can be passed to a Tessellator (like the one used by `ShapeDrawable`) as a mean to try to influence the way it works.

## Member Enumeration Documentation

## TessellationMode

enum osg::TessellationHints::TessellationMode

Enumerator
USE_SHAPE_DEFAULTS |
USE_TARGET_NUM_FACES |

## Constructor & Destructor Documentation

## TessellationHints() [1/2]

osg::TessellationHints::TessellationHints | ( |  | ) |

inline

References _createBackFace, _createBody, _createBottom, _createFrontFace, _createNormals, _createTextureCoords, _createTop, _detailRatio, _targetNumFaces, _TessellationMode, and USE_SHAPE_DEFAULTS.

Referenced by META_Object(), and TessellationHints().

## TessellationHints() [2/2]

osg::TessellationHints::TessellationHints | ( | const TessellationHints & | tess,
|  | const CopyOp & | copyop = CopyOp::SHALLOW_COPY )

inline

References _createBackFace, _createBody, _createBottom, _createFrontFace, _createNormals, _createTextureCoords, _createTop, _detailRatio, _targetNumFaces, _TessellationMode, osg::Object::Object(), osg::CopyOp::SHALLOW_COPY, and TessellationHints().

## ~TessellationHints()

osg::TessellationHints::~TessellationHints | ( |  | ) |

inline protected

## Member Function Documentation

## getCreateBackFace()

bool osg::TessellationHints::getCreateBackFace | ( |  | ) | const

inline

References _createBackFace.

## getCreateBody()

bool osg::TessellationHints::getCreateBody | ( |  | ) | const

inline

References _createBody.

## getCreateBottom()

bool osg::TessellationHints::getCreateBottom | ( |  | ) | const

inline

References _createBottom.

## getCreateFrontFace()

bool osg::TessellationHints::getCreateFrontFace | ( |  | ) | const

inline

References _createFrontFace.

## getCreateNormals()

bool osg::TessellationHints::getCreateNormals | ( |  | ) | const

inline

References _createNormals.

## getCreateTextureCoords()

bool osg::TessellationHints::getCreateTextureCoords | ( |  | ) | const

inline

References _createTextureCoords.

## getCreateTop()

bool osg::TessellationHints::getCreateTop | ( |  | ) | const

inline

References _createTop.

## getDetailRatio()

float osg::TessellationHints::getDetailRatio | ( |  | ) | const

inline

References _detailRatio.

## getTargetNumFaces()

unsigned int osg::TessellationHints::getTargetNumFaces | ( |  | ) | const

inline

References _targetNumFaces.

## getTessellationMode()

TessellationMode osg::TessellationHints::getTessellationMode | ( |  | ) | const

inline

References _TessellationMode.

## META_Object()

osg::TessellationHints::META_Object | ( | osg | ,
|  | TessellationHints | )

References TessellationHints().

## setCreateBackFace()

void osg::TessellationHints::setCreateBackFace | ( | bool | on | ) |

inline

References _createBackFace.

## setCreateBody()

void osg::TessellationHints::setCreateBody | ( | bool | on | ) |

inline

References _createBody.

## setCreateBottom()

void osg::TessellationHints::setCreateBottom | ( | bool | on | ) |

inline

References _createBottom.

## setCreateFrontFace()

void osg::TessellationHints::setCreateFrontFace | ( | bool | on | ) |

inline

References _createFrontFace.

## setCreateNormals()

void osg::TessellationHints::setCreateNormals | ( | bool | on | ) |

inline

References _createNormals.

## setCreateTextureCoords()

void osg::TessellationHints::setCreateTextureCoords | ( | bool | on | ) |

inline

References _createTextureCoords.

## setCreateTop()

void osg::TessellationHints::setCreateTop | ( | bool | on | ) |

inline

References _createTop.

## setDetailRatio()

void osg::TessellationHints::setDetailRatio | ( | float | ratio | ) |

inline

References _detailRatio.

## setTargetNumFaces()

void osg::TessellationHints::setTargetNumFaces | ( | unsigned int | target | ) |

inline

References _targetNumFaces.

## setTessellationMode()

void osg::TessellationHints::setTessellationMode | ( | TessellationMode | mode | ) |

inline

References _TessellationMode.

## Member Data Documentation

## _createBackFace

bool osg::TessellationHints::_createBackFace

protected

Referenced by getCreateBackFace(), setCreateBackFace(), TessellationHints(), and TessellationHints().

## _createBody

bool osg::TessellationHints::_createBody

protected

Referenced by getCreateBody(), setCreateBody(), TessellationHints(), and TessellationHints().

## _createBottom

bool osg::TessellationHints::_createBottom

protected

Referenced by getCreateBottom(), setCreateBottom(), TessellationHints(), and TessellationHints().

## _createFrontFace

bool osg::TessellationHints::_createFrontFace

protected

Referenced by getCreateFrontFace(), setCreateFrontFace(), TessellationHints(), and TessellationHints().

## _createNormals

bool osg::TessellationHints::_createNormals

protected

Referenced by getCreateNormals(), setCreateNormals(), TessellationHints(), and TessellationHints().

## _createTextureCoords

bool osg::TessellationHints::_createTextureCoords

protected

Referenced by getCreateTextureCoords(), setCreateTextureCoords(), TessellationHints(), and TessellationHints().

## _createTop

bool osg::TessellationHints::_createTop

protected

Referenced by getCreateTop(), setCreateTop(), TessellationHints(), and TessellationHints().

## _detailRatio

float osg::TessellationHints::_detailRatio

protected

Referenced by getDetailRatio(), setDetailRatio(), TessellationHints(), and TessellationHints().

## _targetNumFaces

unsigned int osg::TessellationHints::_targetNumFaces

protected

Referenced by getTargetNumFaces(), setTargetNumFaces(), TessellationHints(), and TessellationHints().

## _TessellationMode

TessellationMode osg::TessellationHints::_TessellationMode

protected

Referenced by getTessellationMode(), setTessellationMode(), TessellationHints(), and TessellationHints().

The documentation for this class was generated from the following file:

- Shape